Close

Not a member yet? Register now and get started.

lock and key

Sign in to your account.

Account Login

Forgot your password?

SOLVED: Download Dell HIT Kit For Server 2016

dell-hit-kit-5-server2016If you have a Dell EqualLogic disk storage array and you want to connect it to Server 2016, you will want the Host Integration Tools (HIT Kit).  The problem is there HIT Kit version 4.x only supports Server 2012R2 and older.  Fortunately, Dell has just made HIT Kit version 5 which you can download directly from Dell, here:

eqlsupport.dell.com/support/download.aspx?id=6442456836

32 and 64 bit versions of:

  • Microsoft® Windows Server® 2016
  • Microsoft® Windows Server® 2012 R2
  • Microsoft® Windows Server® 2012
  • Microsoft® Server Core for Windows Server® 2016
  • Microsoft® Server Core for Windows Server® 2012 R2
  • Microsoft® Server Core for Windows Server® 2012
  • Microsoft® Windows 10®
  • Microsoft® Windows 8®
  • Microsoft® Windows 8.1®
  • Microsoft® Windows 7 SP1®

Note: This release is not supported on the following Windows operating system versions:

  • Microsoft® Windows Server® 2008
  • Microsoft® Windows Server® 2008 R2

I found a number of forums with threads complaining about this and in the end I contacted Dell support to find out what to do.  Thanks Jarred!

Share This With Your Friends Now:
Facebooktwittergoogle_plusredditpinterestlinkedin

Leave a Reply